std::__detail::_Prime_rehash_policy Struct Reference
Containers » Unordered Associative » Base and Implementation Classes

`#include <hashtable_policy.h>`

## Public Types

using | __has_load_factor = std::true_type
typedef std::size_t | _State

## Public Member Functions

| _Prime_rehash_policy (float __z=1.0) noexcept
std::size_t | _M_bkt_for_elements (std::size_t __n) const
std::pair< bool, std::size_t > | _M_need_rehash (std::size_t __n_bkt, std::size_t __n_elt, std::size_t __n_ins) const
std::size_t | _M_next_bkt (std::size_t __n) const
void | _M_reset () noexcept
void | _M_reset (_State __state)
_State | _M_state () const
float | max_load_factor () const noexcept

## Public Attributes

float | _M_max_load_factor
std::size_t | _M_next_resize

## Static Public Attributes

static const std::size_t | _S_growth_factor

## Detailed Description

Default value for rehash policy. Bucket size is (usually) the smallest prime that keeps the load factor small enough.

Definition at line 445 of file hashtable_policy.h.

## Member Typedef Documentation

## __has_load_factor

using std::__detail::_Prime_rehash_policy::__has_load_factor = std::true_type

Definition at line 447 of file hashtable_policy.h.

## _State

typedef std::size_t std::__detail::_Prime_rehash_policy::_State

Definition at line 473 of file hashtable_policy.h.

## Constructor & Destructor Documentation

## _Prime_rehash_policy()

std::__detail::_Prime_rehash_policy::_Prime_rehash_policy | ( | float | __z = `1.0` | ) |

inline noexcept

Definition at line 449 of file hashtable_policy.h.

## Member Function Documentation

## _M_bkt_for_elements()

std::size_t std::__detail::_Prime_rehash_policy::_M_bkt_for_elements | ( | std::size_t | __n | ) | const

inline

Definition at line 462 of file hashtable_policy.h.

## _M_reset() [1/2]

void std::__detail::_Prime_rehash_policy::_M_reset | ( |  | ) |

inline noexcept

Definition at line 480 of file hashtable_policy.h.

## _M_reset() [2/2]

void std::__detail::_Prime_rehash_policy::_M_reset | ( | _State | __state | ) |

inline

Definition at line 484 of file hashtable_policy.h.

## _M_state()

_State std::__detail::_Prime_rehash_policy::_M_state | ( |  | ) | const

inline

Definition at line 476 of file hashtable_policy.h.

## max_load_factor()

float std::__detail::_Prime_rehash_policy::max_load_factor | ( |  | ) | const

inline noexcept

Definition at line 453 of file hashtable_policy.h.

## Member Data Documentation

## _M_max_load_factor

float std::__detail::_Prime_rehash_policy::_M_max_load_factor

Definition at line 489 of file hashtable_policy.h.

## _M_next_resize

std::size_t std::__detail::_Prime_rehash_policy::_M_next_resize

mutable

Definition at line 490 of file hashtable_policy.h.

## _S_growth_factor

const std::size_t std::__detail::_Prime_rehash_policy::_S_growth_factor

static

Definition at line 487 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h